package seal_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type SealattributeGetBysealcategoryRequest struct {
	// <ext>core:true</ext> 【印章样式】印章样式 【传参】 取值范围：communist（党委公章）, enterprise（普通公章）, labour（工会公章）, youth_league（共青团）, OVAL（椭圆章）, rectangle_timestamp（长方形时间戳章）, csj_shusp（长三角一网通办）, double_cir（双圆章）, public_security（公检法司）, rectangle（普通长方形章）, square（正方形章）, doubleline_oval（双行文字椭圆）, double_oval（双椭圆章）, rectangle_land（规土局方章）;
	SealCategory string `json:"sealCategory,omitempty"`
}

func (obj SealattributeGetBysealcategoryRequest) GetUrl() string {
	return "/sealattribute/get/bysealcategory"
}

func (obj SealattributeGetBysealcategoryRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("sealCategory", obj.SealCategory)
	return parameter
}
